﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace FormShortcuts
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            RadMenu menu = new RadMenu()
            {
                Parent = this,
                Dock = DockStyle.Top
            };

            RadMenuItem rtsmNew = new RadMenuItem("New");
            rtsmNew.Click += rtsmNew_Click;
            menu.Items.Add(rtsmNew);

            RadShortcut rs = new RadShortcut(Keys.None, Keys.F2);
            rtsmNew.Shortcuts.Add(rs);
            rtsmNew.HintText = rs.GetDisplayText();
        }

        private void rtsmNew_Click(object sender, EventArgs e)
        {
            new Form2().ShowDialog();
        }
    }

    public class Form2 : Form
    {
        public Form2()
        {
            this.Text = "Form 2";
        }
    }
}
